Name: XWine
Version: 0.3
Release: 1mdk
Summary: Graphical User Interface for the wine emulator
Source: http://darken.tuxfamily.org/projets/%name-%{version}.tar.bz2
Source1: xwine-16.png.bz2
Source2: xwine-32.png.bz2
Source3: xwine-48.png.bz2
Patch1: xwine-0.3-browser.patch.bz2
Patch2: xwine-0.3-checkwine.patch.bz2
Patch3: xwine-0.3-fixes.patch.bz2
License: GPL
Group: Emulators
URL: http://darken.tuxfamily.org/pages/xwine_en.html
requires: wine
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libgnome32-devel

%description 
XWine is a graphical user interface for the wine emulator.
You can configure and run Ms-Windows applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
bzcat -f %{SOURCE1} > pixmaps/xwine.png
bzcat %{SOURCE2} > xwine-32.png
bzcat %{SOURCE3} > xwine-48.png

%build
#we use $BROWSER, so disable the interactive configure:
cp -f configure.d configure
cp -f src/donnees.h.in donnees.h

%configure
%make

%install
%makeinstall

# icons
install -D -m 644 xwine-48.png $RPM_BUILD_ROOT%{_liconsdir}/xwine.png
install -D -m 644 xwine-32.png $RPM_BUILD_ROOT%{_iconsdir}/xwine.png
install -D -m 644 pixmaps/xwine.png $RPM_BUILD_ROOT%{_miconsdir}/xwine.png

(cd $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):command="%{_bindir}/xwine"\
	icon="xwine.png" \
	title="XWine"\
	longtitle="Configure wine"\
	needs="x11"\
	section="Configuration/Other"
EOF
)

rm -Rf %{buildroot}/%{_datadir}/doc/xwine
rm -f %{buildroot}/%{_datadir}/pixmaps/xwine/winlog.xpm

%post
%{update_menus}
 
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%_bindir/xwine
%_datadir/pixmaps/xwine
%{_miconsdir}/xwine.png
%{_liconsdir}/xwine.png
%{_iconsdir}/xwine.png
%_menudir/*
%doc doc/*

%changelog
* Sun Feb 9 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- from Danny Tholen <obiwan@mailmij.org>
  - First mdk release
  - hack for using environment var. BROWSER (patch1)
  - patch check for wine (patch2)
  - replace icon with wine icon (original could be trademarked?)
  - fix segfaults, hardcoded doc path, icon and various english translations (patch3)
